%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

%global name1 libglademm24

Name:           mingw32-%{name1}
Version:        2.6.7
Release:        9%{?dist}

Summary:        MinGW Windows C++ wrapper for libglade

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.6/libglademm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gtkmm24 >= 2.6.0
BuildRequires:  mingw32-libglade2 >= 2.6.1
BuildRequires:  mingw32-libpng

%description
This package provides a C++ interface for libglademm. It is a
subpackage of the GTKmm project.  The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%{_mingw32_debug_package}


%prep
%setup -q -n libglademm-%{version}


%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf ${RPM_BUILD_ROOT}%{_mingw32_docdir}/gnomemm-2.6/libglademm-2.4/*
rm -f ${RPM_BUILD_ROOT}%{_mingw32_datadir}/devhelp/books/libglademm-2.4/*



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_mingw32_bindir}/libglademm-2.4-1.dll
%{_mingw32_includedir}/libglademm-2.4
%{_mingw32_libdir}/libglademm-2.4.dll.a
%{_mingw32_libdir}/libglademm-2.4.la
%{_mingw32_libdir}/libglademm-2.4
%{_mingw32_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-7
- add debuginfo packages

* Wed Apr 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-6
- rebuild

* Sun Apr 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-5
- untangle BR and BA
- remove docs

* Sat Apr 18 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-4
- BR mingw32-gcc-c++
- remove --enable-docs

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-3
- unfiy main and devel subpackages

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.7-2
- copy from native package
